%global _empty_manifest_terminate_build 0
Name:		python-falcon
Version:	3.1.0
Release:	1
Summary:	An unladen web framework for building APIs and app backends.
License:	Apache-2.0 and MIT
URL:		https://github.com/falconry/falcon
Source0:	https://github.com/falconry/falcon/archive/%{version}.tar.gz
BuildArch:	noarch

%description
Falcon is a reliable, high-performance Python web framework for building
large-scale app backends and microservices. It encourages the REST
architectural style, and tries to do as little as possible while
remaining highly effective.
Falcon apps work with any WSGI server, and run like a champ under
CPython 2.7, CPython 3.5+, PyPy2.7, and PyPy3.5.

%package -n python3-falcon
Summary:	An unladen web framework for building APIs and app backends.
Provides:	python-falcon
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-falcon
Falcon is a reliable, high-performance Python web framework for building
large-scale app backends and microservices. It encourages the REST
architectural style, and tries to do as little as possible while
remaining highly effective.
Falcon apps work with any WSGI server, and run like a champ under
CPython 2.7, CPython 3.5+, PyPy2.7, and PyPy3.5.

%package help
Summary:	Development documents and examples for falcon
Provides:	python3-falcon-doc

%description help
Development documents and examples for falcon.

%prep
%autosetup -n falcon-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-falcon -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Oct 21 2022 Ge Wang <wangge20@h-partners.com> - 3.1.0-1
- Upgrade to version 3.1.0

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
